// Verilated -*- C++ -*-
// DESCRIPTION: Verilator output: Symbol table internal header
//
// Internal details; most calling programs do not need this header,
// unless using verilator public meta comments.

#ifndef _VCACHE__SYMS_H_
#define _VCACHE__SYMS_H_  // guard

#include "verilated_heavy.h"

// INCLUDE MODULE CLASSES
#include "VCACHE.h"
#include "VCACHE_RAM__D40_N200.h"

// SYMS CLASS
class VCACHE__Syms : public VerilatedSyms {
  public:
    
    // LOCAL STATE
    const char* __Vm_namep;
    bool __Vm_dumping;  // Dumping is active
    VerilatedMutex __Vm_dumperMutex;  // Protect __Vm_dumperp
    VerilatedVcdC* __Vm_dumperp VL_GUARDED_BY(__Vm_dumperMutex);  /// Trace class for $dump*
    bool __Vm_activity;  ///< Used by trace routines to determine change occurred
    uint32_t __Vm_baseCode;  ///< Used by trace routines when tracing multiple models
    bool __Vm_didInit;
    
    // SUBCELL STATE
    VCACHE*                        TOPp;
    VCACHE_RAM__D40_N200           TOP__CACHE__DOT__B0_DAT_RAM;
    VCACHE_RAM__D40_N200           TOP__CACHE__DOT__B1_DAT_RAM;
    
    // COVERAGE
    uint32_t __Vcoverage[1110];
    
    // SCOPE NAMES
    VerilatedScope __Vscope_CACHE;
    
    // CREATORS
    VCACHE__Syms(VCACHE* topp, const char* namep);
    ~VCACHE__Syms() {}
    
    // METHODS
    inline const char* name() { return __Vm_namep; }
    
} VL_ATTR_ALIGNED(VL_CACHE_LINE_BYTES);

#endif  // guard
